Work at SourceForge, help us to make it a better place! We have an immediate need for a Support Technician in our San Francisco or Denver office.

Close

#23 exit code 84814401

closed
nobody
None
5
2007-01-07
2005-12-14
Alan Starr
No

I had my coLinux running just fine. I did a few
things, rebooted a few dozen times, and now I can't get
it to start any more.

E:\coLinux>colinux-daemon.exe -t nt -c smallcolinux.xml
Cooperative Linux Daemon, 0.6.3-pre13
Compiled on Tue May 24 15:05:49 2005

error initializing
daemon: exit code 84814401
daemon: error - CO_RC_ERROR_ERROR, line 81, file
colinux/os/current/user/manager
.o (36)

E:\coLinux>colinux-daemon.exe --status-driver
Cooperative Linux Daemon, 0.6.3-pre13
Compiled on Tue May 24 15:05:49 2005

checking if the driver is installed
current state: 4 (fully initialized)
current number of monitors: 0
current linux api version: 10
current periphery api version: 15

Discussion

  • Alan Starr
    Alan Starr
    2005-12-14

    Logged In: YES
    user_id=88384

    Updated to RC3. Same error.

    E:\coLinux>colinux-daemon.exe -t nt -c smallcolinux.xml
    Cooperative Linux Daemon, 0.6.3-rc3
    Compiled on Sat Nov 12 17:52:10 2005

    error initializing
    daemon: exit code 84814401
    daemon: error - CO_RC_ERROR_ERROR, line 81, file
    colinux/os/current/user/manager
    .o (36)

     
  • Danny Staple
    Danny Staple
    2005-12-15

    Logged In: YES
    user_id=748225

    Hi,
    Could you give us the details of your config file? There
    maybe something obvious there.

    Cheers,
    Danny

     
  • Henry N.
    Henry N.
    2005-12-15

    Logged In: YES
    user_id=579204

    Hm, interesting. The error says, the daemin can not access
    the driver.

    Please try the follow steps:
    1. colinux-daemon --remove-driver
    2. Reboot your windows
    3. colinux-daemon --status-driver
    should say not installed
    4. colinux-daemon --install-driver

    If that not helps, start windows in "Save Mode" and then
    colinux-daemon --remove-driver,
    reboot in normal mode, check the driver, and install it
    again.

    If that all not helps: Uninstall colinux daemons with the
    uninstall.exe under Windows Save-Boot-Mode, and install it
    again.
    But: Save your config and image files before!

    Henry

     
  • Alan Starr
    Alan Starr
    2005-12-16

    Logged In: YES
    user_id=88384

    Well, I got a little further. Now coLinux starts and
    completely hangs my PC as it boots when it gets to
    RAMDISK: Compressed image found at block 0

    I did the --remove-driver, rebooted, and then

    E:\coLinux>colinux-daemon.exe --status-driver
    colinux: manager open: last error: The system cannot find
    the file specified.
    Cooperative Linux Daemon, 0.6.3-rc3
    Compiled on Sat Nov 12 17:52:10 2005

    checking if the driver is installed
    driver not installed

    E:\coLinux>colinux-daemon.exe --install-driver
    colinux: manager open: last error: The system cannot find
    the file specified.
    Cooperative Linux Daemon, 0.6.3-rc3
    Compiled on Sat Nov 12 17:52:10 2005

    loading E:\coLinux\linux.sys
    daemon: driver installed

    I'm posting this message before I try to run it again in
    case my PC freezes. If I don't post back here, it didn't work.

    Should I try going back to the -pre instead of using -rc3?

     
  • Henry N.
    Henry N.
    2005-12-16

    Logged In: YES
    user_id=579204

    The -pre and -rc3 has no effect for you here, I thing.

    Try to comment out the config line "initrd=initrd.gz"

    Perhaps is your root filesystem image demarged?
    Download a small roofs-image from SF, for sample a Debian.
    Try to run it, instand your image.

    If you have SP2, check the workarrount for "DEP" in the
    boot.ini

    Have you installed or updated a virus scanner? Try to
    disable it. This is my last idea here.

     
  • Alan Starr
    Alan Starr
    2005-12-16

    Logged In: YES
    user_id=88384

    Yes, commenting out "initrd=initrd.gz" makes it not freeze
    my OS.

    * Mounting network filesystems ...
    [ ok ]
    modprobe: FATAL: Could not load
    /lib/modules/2.6.11-co-0.6.3-rc3/modules.dep: No
    such file or directory

    * Starting sshd ...
    modprobe: FATAL: Could not load
    /lib/modules/2.6.11-co-0.6.3-rc3/modules.dep: No
    such file or directory

    modprobe: FATAL: Could not load
    /lib/modules/2.6.11-co-0.6.3-rc3/modules.dep: No
    such file or directory

    [ ok ]
    * Starting local ...
    [ ok ]

    I have /lib/modules/2.6.11-co-0.6.3-pre13/modules.dep

    I'm too much of a linux newbie to know how I got that other
    than I was running 0.6.2-pre13. How do I get the new one in
    there? Or was that what initrd would do for me?

     
  • Henry N.
    Henry N.
    2006-01-18

    Logged In: YES
    user_id=579204

    Hello Alanjstr,

    after extracting new colinux version or installing it, you
    find a file vmlinux-modules.tar.gz. This are all modules.

    In normal way the initrd installs this into your root
    filesystem. But if it fails, you have no modules in your
    system and getting errors, you listed here.

    Install the modules by hand:
    Configure cofs for access to windows drive, for sample
    cofs0=C:\Programs\coLinux
    Boot colinux, ignore all errors.
    Mount the cofs:
    mount -t cofs cofs0 /mnt
    Copy the file vmlinux-modules.tar.gz from /mnt into your
    local system, for sample /tmp.
    Unmount cofs (it's saver)
    umount /mnt
    Login as root and unpack modules
    cd /
    tar xzf /tmp/vmlinux-modules.tar.gz

    That's all ;)
    Henry

     
  • Logged In: YES
    user_id=30412
    Originator: NO

    Based on later support requestion, i'm sure that this has been correctly diagnosed and fixed.

     
    • status: open --> closed